# Kreditoren

{% hint style="danger" %}
Die Endpunkte der Version 1.2 sind momentan in der Entwicklung und können noch Änderungen erfahren.
{% endhint %}

## Kreditoren anlegen

#### Version 1.2

***

## POST /openwowi/v1.2/AccountancyMasterDataWrite/Creditor

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorDto":{"type":"object","properties":{"CreditorNumber":{"type":"string","nullable":true},"CustomerIdByCreditor":{"type":"string","nullable":true},"PaymentsExclusion":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"DefaultSalesTaxKeyId":{"type":"integer","format":"int32","nullable":true},"DefaultRegulationId":{"type":"integer","format":"int32"},"Description":{"type":"string","nullable":true},"ExemptionCertificateUnnecessary":{"type":"boolean"},"Locked":{"type":"boolean"},"LockedCommissioning":{"type":"boolean","nullable":true},"AllocateOpenItemsAutomatically":{"type":"boolean"},"RedoOIClearingAfterInvoiceReversal":{"type":"boolean"},"IsVarious":{"type":"boolean"},"MaturityDefault":{"type":"integer","format":"int32","nullable":true},"MaturityIn1Day":{"type":"integer","format":"int32","nullable":true},"MaturityIn2Day":{"type":"integer","format":"int32","nullable":true},"MaturityIn3Day":{"type":"integer","format":"int32","nullable":true},"CashDiscountPercent1":{"type":"number","format":"decimal","nullable":true},"CashDiscountPercent2":{"type":"number","format":"decimal","nullable":true},"CashDiscountPercent3":{"type":"number","format":"decimal","nullable":true},"PersonId":{"type":"integer","format":"int32"},"NodeId":{"type":"integer","format":"int32"},"CreationDate":{"type":"string","format":"date-time"},"ManagementIds":{"type":"array","items":{"type":"integer","format":"int32"},"nullable":true},"BankaccountId":{"type":"integer","format":"int32","nullable":true},"AccessibilityId":{"type":"integer","format":"int32"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorResultDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"CreditorNumber":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/AccountancyMasterDataWrite/Creditor":{"post":{"tags":["OpenWowi AccountancyMasterData Write"],"operationId":"AccountancyMasterDataWrite_CreateCreditor","parameters":[{"name":"apiKey","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorDto"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorResultDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorResultDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorResultDto"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## Kreditoren ändern

#### Version 1.2

***

## PUT /openwowi/v1.2/AccountancyMasterDataWrite/Creditor/{creditorId}

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorDto":{"type":"object","properties":{"CreditorNumber":{"type":"string","nullable":true},"CustomerIdByCreditor":{"type":"string","nullable":true},"PaymentsExclusion":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"DefaultSalesTaxKeyId":{"type":"integer","format":"int32","nullable":true},"DefaultRegulationId":{"type":"integer","format":"int32"},"Description":{"type":"string","nullable":true},"ExemptionCertificateUnnecessary":{"type":"boolean"},"Locked":{"type":"boolean"},"LockedCommissioning":{"type":"boolean","nullable":true},"AllocateOpenItemsAutomatically":{"type":"boolean"},"RedoOIClearingAfterInvoiceReversal":{"type":"boolean"},"IsVarious":{"type":"boolean"},"MaturityDefault":{"type":"integer","format":"int32","nullable":true},"MaturityIn1Day":{"type":"integer","format":"int32","nullable":true},"MaturityIn2Day":{"type":"integer","format":"int32","nullable":true},"MaturityIn3Day":{"type":"integer","format":"int32","nullable":true},"CashDiscountPercent1":{"type":"number","format":"decimal","nullable":true},"CashDiscountPercent2":{"type":"number","format":"decimal","nullable":true},"CashDiscountPercent3":{"type":"number","format":"decimal","nullable":true},"PersonId":{"type":"integer","format":"int32"},"NodeId":{"type":"integer","format":"int32"},"CreationDate":{"type":"string","format":"date-time"},"ManagementIds":{"type":"array","items":{"type":"integer","format":"int32"},"nullable":true},"BankaccountId":{"type":"integer","format":"int32","nullable":true},"AccessibilityId":{"type":"integer","format":"int32"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorResultDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"CreditorNumber":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/AccountancyMasterDataWrite/Creditor/{creditorId}":{"put":{"tags":["OpenWowi AccountancyMasterData Write"],"operationId":"AccountancyMasterDataWrite_UpdateCreditor","parameters":[{"name":"apiKey","in":"query","required":true,"schema":{"type":"string"}},{"name":"creditorId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorDto"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorResultDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorResultDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorResultDto"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## Kreditoren löschen

#### Version 1.2

***

## DELETE /openwowi/v1.2/AccountancyMasterDataWrite/Creditor/{creditorId}

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorResultDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"CreditorNumber":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/AccountancyMasterDataWrite/Creditor/{creditorId}":{"delete":{"tags":["OpenWowi AccountancyMasterData Write"],"operationId":"AccountancyMasterDataWrite_DeleteCreditor","parameters":[{"name":"apiKey","in":"query","required":true,"schema":{"type":"string"}},{"name":"creditorId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorResultDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorResultDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorEditDto.CreditorResultDto"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openwowi.de/schnittstelle-v1.x/belegsystem/stammdaten-schreiben/kreditoren.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
